[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Gnewsense-dev] compiling GNU icecat-9.0.1

From: Sam Geeraerts
Subject: Re: [Gnewsense-dev] compiling GNU icecat-9.0.1
Date: Sun, 18 Mar 2012 14:08:08 +0100
User-agent: Thunderbird (X11/20101029)

Kai H. Mertens wrote:

I am using gNewSense-2.3 since 2012 and I am willing to use
100%-free-software for the future.

I wondered about not being able to install an up-to-date
GNU-icecat-9.0.1 webbroser using apt-get or Synaptic.
Did I do something wrong?

In the past we relied on a PPA [1] to have IceCat available in gNewSense. Sadly, it's no longer maintained. The binaries for Hardy/Deltah aren't even there for its latest releases because the distributions don't have the right build dependencies, if I recall correctly.

Finally, I succeeded in compiling it. Being a Newbie to gNS, I felt
quite enthusiastic about this success.

Is this of interest to others?

If it can be compiled with the software that's in gNewSense 2.3, then please tell us how. (I admit that I haven't tried it myself.) If it needs other (free) software to be compiled, then I'll probably not include it in 2.3, but I still encourage you to update the IceCat page [2] with any information about it. If you have the web space to set up a repository with your build you can link to it from there and announce it on the gnewsense-users mailing list (if it includes only free software and all sources).

Thanks for helping out with this.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]